<html>
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
	<title>Le catalogue de disques</title>
</head>
<body>
	<h1>Le catalogue de disques</h1>
    <ul>
		<?php
        // Connecting, selecting database
        $dbconn = pg_connect("host=formationweb-peda dbname=disques2009 user=nobody password=knows") 
        or die('Could not connect: ' . pg_last_error());

        if ($_GET['offset']) {
            $offset = $_GET['offset'];
        } else {
            $offset = 0;
        }

        // Performing SQL query
        $query = "SELECT dis_num, dis_titre, dis_annee, " .
                        "art_prenom, art_nom, art_groupe " .
                 "FROM disque join artiste on (dis_artiste = art_num) " .
                 "ORDER BY dis_num " .
                 "OFFSET $offset " .
                 "LIMIT 10"; 

        $result = pg_query($query) or die('Query failed: ' . pg_last_error());

        // Printing results in HTML
        while ($line = pg_fetch_array($result, null, PGSQL_ASSOC)) {
            echo "<li class='disque'>";
             
            echo "<a href='liste.php?numero_disque=", $line["dis_num"], "'>";
            echo "<em>", $line["dis_titre"], "</em>";
            echo " by ";
            echo $line["art_prenom"], " ";
            echo $line["art_nom"];
            echo $line["art_groupe"];
            echo " (", $line["dis_annee"], ")";

            echo "</a></li>\n";
        }

        // Free resultset
        pg_free_result($result);

        // Closing connection
        pg_close($dbconn);
        ?>
    </ul>
    
    <div>
        <span>
            <?php
                if ($offset >= 10) {
                    echo "<a href='catalogue.php?offset=", $offset-10, "'>&lt;&lt; Prec</a>";
                }
            ?>
        </span>
        <span>
            <?php
                echo "<a href='catalogue.php?offset=", $offset+10, "'>Suiv &gt;&gt;</a>";
             ?>
        </span>
    </div>
</body>
</html>

